Create a new user via SCIM 2.0 protocol

SCIM 2.0 compliant user creation endpoint (RFC 7644 §3.3).


MANDATORY FIELDS

Required by the CoreUserController POST API contract.

SCIM Request FieldCoreUserDTO FieldDescription
userNameuserNameUnique login identifier (e.g. [email protected])
name.givenNamefirstNameFirst name
name.familyNamelastNameLast name
emails[0].valueemailAddressWork email address
roles[0].valuecoreRoleDto[0].roleNameAssigned role name (e.g. Security Admin)

OPTIONAL FIELDS — SCIM Core Schema (RFC 7643)

SCIM Request FieldCoreUserDTO FieldDefault
activestatustrue (→ 'A'); false (→ 'I')
name.formattedfullNameComputed from givenName + familyName
displayNamefullNameFallback when name.formatted is absent
titletitlenull
timezonetimezonenull
localelanguageCodenull (e.g. en)
addresses[type=work].localitycitynull
addresses[type=work].regionstatenull
addresses[type=work].countrycountrynull
phoneNumbers[type=fax].valuefaxnull

OPTIONAL FIELDS — RecVue Extension

Extension URN: urn:ietf:params:scim:schemas:extension:recvue:2.0:User

Extension FieldCoreUserDTO FieldDefault
companycompanynull
currencyCodecurrencyCodenull (e.g. USD)
readOnlyUserreadOnlyUser"N" (Y or N)
dateFormatdateFormatnull (e.g. MM/dd/yyyy)
timeFormattimeFormatnull (e.g. 12HR or 24HR)
numberFormatnumberFormatnull (e.g. 0.##)
defaultHomeTabdefaultHomeTabnull (e.g. DAILY_WORKLOAD)
userBoardsuserBoardsnull (e.g. REVENUE_GL_TRANSFER)
defaultUIPreferencedefaultUIPreferencenull (e.g. BILLRUN)
apiUserapiUsernull (Y or N)
descriptiondescriptionnull
employeeIdemployeeIdnull
customerIdcustomerIdnull
supplierIdsupplierIdnull
roleExtension.dateFromcoreRoleDto[0].dateFromnull (yyyy-MM-dd)
roleExtension.dateTocoreRoleDto[0].dateTonull (yyyy-MM-dd)
roleExtension.attribute1 .. attribute10coreRoleDto[0].attribute1..10null
roleExtension.roleInformation1 .. roleInformation3coreRoleDto[0].roleInformation1..3null
roleExtension.approvalAuthoritycoreRoleDto[0].approvalAuthoritynull
roleExtension.commentscoreRoleDto[0].commentsnull
roleExtension.readOnlyRolecoreRoleDto[0].readOnlyRolenull (Y or N)
userAttributes[i].attributeContextcoreUserAttributesDto[i].attributeContextnull
userAttributes[i].attribute1 .. attribute15coreUserAttributesDto[i].attribute1..15null

Notes

  • authenticationSource is automatically forced to Okta for all SCIM-provisioned users.
  • Include the extension URN in the schemas array when sending extension fields.
  • Response includes id, meta.created, meta.lastModified, and Location header.

Complete SCIM Request Payload Example

{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:recvue:2.0:User"
  ],
  "userName": "[email protected]",
  "name": {
    "givenName": "John",
    "familyName": "Doe",
    "formatted": "John Doe"
  },
  "emails": [{ "value": "[email protected]", "type": "work", "primary": true }],
  "active": true,
  "title": "Vice President",
  "timezone": "IST",
  "locale": "en",
  "addresses": [{
    "type": "work", "locality": "San Francisco",
    "region": "CA", "country": "USA", "primary": true
  }],
  "phoneNumbers": [{ "value": "+1-555-555-5555", "type": "fax" }],
  "roles": [{ "value": "Security Admin", "primary": true }],
  "urn:ietf:params:scim:schemas:extension:recvue:2.0:User": {
    "company": "Recvue",
    "readOnlyUser": "N",
    "currencyCode": "USD",
    "dateFormat": "MM/dd/yyyy",
    "timeFormat": "12HR",
    "numberFormat": "0.##",
    "userBoards": "REVENUE_GL_TRANSFER",
    "defaultHomeTab": "DAILY_WORKLOAD",
    "defaultUIPreference": "BILLRUN",
    "apiUser": "Y",
    "description": "User description",
    "employeeId": 12345,
    "roleExtension": {
      "dateFrom": "2024-01-01",
      "dateTo": "2026-12-31",
      "attribute1": "value1",
      "roleInformation1": "info1",
      "approvalAuthority": 10000,
      "readOnlyRole": "N"
    },
    "userAttributes": [
      {
        "attributeContext": "WORKFLOW",
        "attribute1": "[email protected]",
        "attribute2": "test1",
        "attribute3": "test1",
        "attribute4": "test1",
        "attribute5": "test1"
      }
    ]
  }
}

References:

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
boolean
addresses
array of objects
addresses
string
emails
array of objects
emails
entitlements
array of objects
entitlements
string
groups
array of objects
groups
string
ims
array of objects
ims
string
meta
object
name
object
string
string
phoneNumbers
array of objects
phoneNumbers
photos
array of objects
photos
string
profileUrl
object
roles
array of objects
roles
schemas
array of strings
schemas
string
string
string
string
x509Certificates
array of objects
x509Certificates
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

403

Forbidden

404

Not Found

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/scim+json